Quick Start
Get up and running with the SolidRusT AI API in under 5 minutes.
Prerequisites
Section titled “Prerequisites”- An API key from console.solidrust.ai
- A tool to make HTTP requests (curl, Python, JavaScript, etc.)
Your First Request
Section titled “Your First Request”Using curl
Section titled “Using curl”curl https://api.solidrust.ai/v1/chat/completions \ -H "Content-Type: application/json" \ -H "Authorization: Bearer YOUR_API_KEY" \ -d '{ "model": "vllm-primary", "messages": [ {"role": "user", "content": "Hello! What can you help me with?"} ] }'Using Python
Section titled “Using Python”from openai import OpenAI
client = OpenAI( api_key="YOUR_API_KEY", base_url="https://api.solidrust.ai/v1")
response = client.chat.completions.create( model="vllm-primary", messages=[ {"role": "user", "content": "Hello! What can you help me with?"} ])
print(response.choices[0].message.content)Using JavaScript
Section titled “Using JavaScript”import OpenAI from 'openai';
const client = new OpenAI({ apiKey: 'YOUR_API_KEY', baseURL: 'https://api.solidrust.ai/v1',});
const response = await client.chat.completions.create({ model: 'vllm-primary', messages: [ { role: 'user', content: 'Hello! What can you help me with?' } ],});
console.log(response.choices[0].message.content);Next Steps
Section titled “Next Steps”- Authentication - Secure your API key
- Chat Completions - Full API reference
- Streaming - Real-time response streaming